Skip to main content
`Ctrl`+`K`

# MFNSetFromOptions

Sets `MFN` options from the options database. This routine must be called before `MFNSetUp()` if the user is to be allowed to configure the solver.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetFromOptions(MFN mfn)

Collective

## Input Parameter

- mfn - the matrix function solver context

## Note

To see all options, run your program with the `-help` option.

## See Also

MFN: Matrix Function, `MFNSetOptionsPrefix()`

## Level

beginner

## Location

src/mfn/interface/mfnopts.c

## Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex37.c
src/eps/tutorials/ex36.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages